package com.dzeio.openhealth.adapters

import android.view.LayoutInflater
import android.view.ViewGroup
import com.dzeio.openhealth.core.BaseAdapter
import com.dzeio.openhealth.core.BaseViewHolder
import com.dzeio.openhealth.databinding.LayoutExtensionItemBinding
import com.dzeio.openhealth.extensions.Extension


class ExtensionAdapter : BaseAdapter<Extension, LayoutExtensionItemBinding>() {

    override val bindingInflater: (LayoutInflater, ViewGroup?, Boolean) ->
    LayoutExtensionItemBinding = LayoutExtensionItemBinding::inflate

    var onItemClick: ((weight: Extension) -> Unit)? = null

    override fun onBindData(
        holder: BaseViewHolder<LayoutExtensionItemBinding>,
        item: Extension,
        position: Int
    ) {
        holder.binding.name.text = item.name
        holder.binding.status.text = item.getStatus()
        holder.binding.card.setOnClickListener {
            onItemClick?.invoke(item)
        }
    }
}