package com.dzeio.openhealth.adapters

import android.view.LayoutInflater
import android.view.ViewGroup
import com.dzeio.openhealth.core.BaseAdapter
import com.dzeio.openhealth.core.BaseViewHolder
import com.dzeio.openhealth.data.water.Water
import com.dzeio.openhealth.databinding.LayoutItemListBinding

class WaterAdapter() : BaseAdapter<Water, LayoutItemListBinding>() {

    override val bindingInflater: (LayoutInflater, ViewGroup?, Boolean) -> LayoutItemListBinding
        get() = LayoutItemListBinding::inflate

    var onItemClick: ((weight: Water) -> Unit)? = null

    override fun onBindData(
        holder: BaseViewHolder<LayoutItemListBinding>,
        item: Water,
        position: Int
    ) {
        holder.binding.value.text = "${item.value}ml"
        holder.binding.datetime.text = "${item.formatTimestamp()}"
        holder.binding.edit.setOnClickListener {
            onItemClick?.invoke(item)
        }
    }
}
