package com.dzeio.openhealth.ui.browse

import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.viewModelScope
import com.dzeio.openhealth.core.BaseViewModel
import com.dzeio.openhealth.data.step.StepRepository
import dagger.hilt.android.lifecycle.HiltViewModel
import kotlinx.coroutines.launch
import javax.inject.Inject

@HiltViewModel
class BrowseViewModel @Inject internal constructor(
    stepRepository: StepRepository
) : BaseViewModel() {

    private val _steps = MutableLiveData(0)
    val steps: LiveData<Int> = _steps

    init {
        viewModelScope.launch {
            _steps.postValue(stepRepository.todaySteps())
        }
    }
}
