package com.dzeio.openhealth.ui.extension

import androidx.lifecycle.MutableLiveData
import com.dzeio.openhealth.core.BaseViewModel
import com.dzeio.openhealth.data.weight.Weight
import com.dzeio.openhealth.data.weight.WeightRepository
import dagger.hilt.android.lifecycle.HiltViewModel
import javax.inject.Inject

@HiltViewModel
class ExtensionViewModel @Inject internal constructor(
    private val weightRepository: WeightRepository
) : BaseViewModel() {

    val text = MutableLiveData<String>().apply {
        value = "This is slideshow Fragment"
    }
    val importProgress = MutableLiveData<Int>().apply {
        value = 0
    }
    // If -1 progress is undetermined
    // If 0 no progress bar
    // Else progress bar
    val importProgressTotal = MutableLiveData<Int>().apply {
        value = 0
    }

    suspend fun importWeight(weight: Weight) = weightRepository.addWeight(weight)
    suspend fun deleteFromSource(source: String) = weightRepository.deleteFromSource(source)
}