package com.dzeio.openhealth.ui.steps

import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.viewModelScope
import com.dzeio.openhealth.core.BaseViewModel
import com.dzeio.openhealth.data.step.Step
import com.dzeio.openhealth.data.step.StepRepository
import dagger.hilt.android.lifecycle.HiltViewModel
import kotlinx.coroutines.flow.collectLatest
import kotlinx.coroutines.launch
import javax.inject.Inject

@HiltViewModel
class StepsHomeViewModel@Inject internal constructor(
    private val stepRepository: StepRepository
) : BaseViewModel() {
    val items: MutableLiveData<List<Step>> = MutableLiveData()

    fun init() {
        viewModelScope.launch {
            stepRepository.getSteps().collectLatest {
                items.postValue(it)
            }
        }
    }
}