package com.dzeio.openhealth.ui.water

import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.viewModelScope
import com.dzeio.openhealth.core.BaseViewModel
import com.dzeio.openhealth.data.water.Water
import com.dzeio.openhealth.data.water.WaterRepository
import dagger.hilt.android.lifecycle.HiltViewModel
import kotlinx.coroutines.flow.collectLatest
import kotlinx.coroutines.launch
import javax.inject.Inject

@HiltViewModel
class EditWaterViewModel @Inject internal constructor(
    private val waterRepository: WaterRepository
) : BaseViewModel() {

    val water: MutableLiveData<Water> = MutableLiveData()

    fun init(id: Long) {
        viewModelScope.launch {
            waterRepository.getWater(id).collectLatest {
                water.postValue(it)
            }
        }
    }

    fun delete() {
        viewModelScope.launch {
            water.value?.let { waterRepository.deleteWater(it) }
        }
    }

    fun save(water: Water) {
        viewModelScope.launch {
            waterRepository.addWater(water)
        }
    }
}