package com.dzeio.openhealth.utils

import android.content.Context
import android.content.pm.PackageManager

object PermissionsManager {

    fun hasPermission(context: Context, permission: String): Boolean = context.checkSelfPermission(permission) == PackageManager.PERMISSION_GRANTED

    fun hasPermission(context: Context, permissions: Array<String>): Boolean {
        for (permission in permissions) {
            val res = hasPermission(context, permission)
            if (!res) {
                return false
            }
        }
        return true
    }
}

